
%% Import data and time from Salatskjaera
run('dataSalatskjaera');

%% Import data and time from Valoyan
run('dataValoyan');

%% Import operational limits for the vessel 
run('import_oplim0');
run('import_oplim30');
run('import_oplim60');
run('import_oplim90');
run('import_oplim120');
run('import_oplim150');
run('import_oplim180');
run('import_oplim210');
run('import_oplim240');
run('import_oplim270');
run('import_oplim300');
run('import_oplim330');

operationLimits = [opLim0, opLim30(:,2), opLim60(:,2), opLim90(:,2), opLim120(:,2), opLim150(:,2), opLim180(:,2), opLim210(:,2),  opLim240(:,2), opLim270(:,2), opLim300(:,2), opLim330(:,2)];

clearvars h0_V tm02_V opLim0 opLim30 opLim60 opLim90 opLim120 opLim150 opLim180 opLim210 opLim240 opLim270 opLim300 opLim330