
%% Define variables
operabilityAccumulated = 0;
operabilityMean = 0;
operability = 0;
temp = zeros(40,1);

for j = 1:40

%% Sector 1
opLim = [operationLimits(:,1),operationLimits(:,2),operationLimits(:,3),... 
        operationLimits(:,13)];
sim('DES_Sector1');    % Run simulation  
 
%% Sector 2
 %opLim = [operationLimits(:,1),operationLimits(:,2),operationLimits(:,3),... 
%          operationLimits(:,4),operationLimits(:,12),operationLimits(:,13)];
% sim('DES_Sector2');   % Run simulation 
 
%% Sector 3
 %opLim = [operationLimits(:,1),operationLimits(:,2),operationLimits(:,3),... 
 %         operationLimits(:,4),operationLimits(:,5),operationLimits(:,11),...
 %         operationLimits(:,12),operationLimits(:,13)];
 %sim('DES_Sector3');   % Run simulation 
 
%% Sector 4
 %opLim = [operationLimits(:,1),operationLimits(:,2),operationLimits(:,3),...
  %       operationLimits(:,7),operationLimits(:,8),operationLimits(:,9),...
  %       operationLimits(:,13)];
 %sim('DES_Sector4');   % Run simulation 
 
%% Sector 5
%opLim = [operationLimits(:,1),operationLimits(:,2),operationLimits(:,3),...
  %       operationLimits(:,4),operationLimits(:,6),operationLimits(:,7),...
  %       operationLimits(:,8),operationLimits(:,9),operationLimits(:,10),...
  %       operationLimits(:,12),operationLimits(:,13)];
 %sim('DES_Sector5');   % Run simulation 

%% Sector 6
 %opLim = [operationLimits(:,1),operationLimits(:,2),operationLimits(:,3),...
  %       operationLimits(:,4),operationLimits(:,5),operationLimits(:,6),...
  %      operationLimits(:,7),operationLimits(:,8),operationLimits(:,9),...
  %       operationLimits(:,10),operationLimits(:,11),...
  %       operationLimits(:,12),operationLimits(:,13)];
 %sim('DES_Sector6');   % Run simulation 

%% POST-PROCESSING 

% Number of operations performed at Valyan 
    numOpV = opPerformedV.Data;
    timeOpV = opPerformedV.Time;

% Number of operations performed at Salatskjra
    numOpS = opPerformedS.Data;
    timeOpS = opPerformedS.Time;

% Total number of operations performed 
    opPerformed = numOpV(length(numOpV)) + numOpS(length(numOpS));


% Number of operation requests at Valyan
    opRequestV = operationsRequestedV.Data; 
    timeOpReqV = operationsRequestedV.Time; 

% Number of operation requests at Salatskjra
    opRequestS = operationsRequestedS.Data; 
    timeOpReqS = operationsRequestedS.Time;

% Total number of operation requests
    operationsReqVS = operationsRequested.Data;
    totOperationsReq = operationsReqVS(length(operationsReqVS));

% Operability 
    operability = opPerformed/totOperationsReq*100;
    temp(j) = operability;
    operabilityAccumulated = operabilityAccumulated + operability;
    operability = zeros(1,12);

end

operabilityMean = operabilityAccumulated/j; % Mean operability [%]
standardDev = std(temp);                    % Standard deviation [%]
